Application Details:
Version: | GOTY Steam version 1112f` |
License: | Retail |
URL: | http://mirror.deusexnetwork.co... |
Votes: | 2 |
Latest Rating: | Gold |
Latest Wine Version Tested: | 1.7.53-staging |
Maintainers: About Maintainership
What works
Installation.
Startup - sometimes.
Main Menu - sometimes.
Settings - sometimes.
What does not
Nothing past the setup screen works, and even the setup screen crashes often. Actual gameplay will not start.
Workarounds
What was not tested
All main menu options except setup.
Hardware tested
Graphics:
Additional Comments
This version of Deus Ex with the current version of wine as of this writing, 1.7.11, does not run for more than a few minutes. It will mostly crash at startup. I made it to the setup screen a few times, but trying to change things caused it to crash. Alas, I cannot get the game to actually start. I tried known working Wine prefixes, and even a clean Wine prefix. FWIW, the older CD non-Steam version works just fine on this version of wine, so I suspect it is this version of Deus Ex that is at fault, not Wine.
Operating system | Test date | Wine version | Installs? | Runs? | Used Workaround? | Rating | Submitter | ||
Show | Gentoo Linux x86_64 | Oct 17 2015 | 1.7.53-staging | Yes | Yes | No | Gold | Rob | |
Show | Arch Linux x86_64 | May 03 2014 | 1.7.18 | Yes | Yes | No | Gold | an anonymous user | |
Current | Slackware 14.1 32 bit version | Jan 18 2014 | 1.7.11 | Yes | No | No | Garbage | Zootal |
Bug # | Description | Status | Resolution | Other apps affected |
Deus Ex: Revision is a large-scale re-imagining of the world of Deus Ex,
bringing a tightly integrated aesthetic-oriented approach to the
original gameplay. Revision brings in Project HDTP and New Vision for high-detail models and textures. Also bundled in Chris Dohnal’s Direct3D 9 renderer. Revision also includes the Shifter and BioMod
modifications as alternate gameplay modes; Shifter adds various tweaks
and unique weapons, spicing up the experience. BioMod offers a more
distinct flavor, and introduces new gameplay mechanics while rebalancing
how augmentations work within the game.
Deus Ex: Revision homepage | Deus Ex: Revision on ModDB |
Out-of-the box the stock OpenGL renderer will generate a segmentation fault:
This BASH script will fix the DeusEx.ini file settings to correct this. Note it is recommended to use the newer OpenGL renderer (which is significantly better)
#export WINEPREFIX="❚❚❚❚❚❚"
export DEUS_EX_PATH
# Read install path for Deus Ex, from the Wine Registry.
# Note: this requires a first run, when DeusEx is installed under Steam.
DEUS_EX_PATH="$(
wine reg query 'HKEY_LOCAL_MACHINE\Software\Unreal Technology\Installed Apps\Deus Ex' /v Folder 2>/dev/null \
| awk '{ if (sub("^[[:blank:]]*Folder[[:blank:]]*REG_SZ[[:blank:]]*","")) print $0 }' \
| dos2unix
)"
# Fallback to 'C:\DeusEx'
DEUS_EX_PATH="${DEUS_EX_PATH:-C:\\DeusEx}"
printf "Using DeusEx (Windows) install path: '%s'\\n" "${DEUS_EX_PATH}"
# Convert path from Windows to Unix format
DEUS_EX_PATH="$(winepath -u "${DEUS_EX_PATH}" 2>/dev/null)"
if [[ ! -d "${DEUS_EX_PATH}" ]]; then
printf "DeusEx install path: '%s' ; does not exist\\n" "${DEUS_EX_PATH}" >&2
exit 1
fi
# Patch settings to make the game work properly on OpenGL devices
# Uses the default DeusEx install path (for the current WINEPREFIX)
if ! sed -i -e '/FrameRateLimit=60/d' \
-e 's/^GameRenderDevice=.*$/GameRenderDevice=OpenGLDrv.OpenGLRenderDevice/g' \
-e '/^GameRenderDevice=OpenGLDrv.OpenGLRenderDevice$/a\FrameRateLimit=60' \
-e 's/FirstRun=.*$/FirstRun=1100/g' \
"${DEUS_EX_PATH}/System/DeusEx.ini"
then
printf "Unable to update DeusEx.ini file: '%s'\\n" "${DEUS_EX_PATH}/System/DeusEx.ini" >&2
exit 1
fi
printf "Successfully updated DeusEx.ini file: '%s'\\n" "${DEUS_EX_PATH}/System/DeusEx.ini"
The Kentie Launcher Deus Exe is a replacement executable for Deus Ex. It's compatible with the GOTY edition of the game, which includes the Steam version. Note: the enhanced Steam version of DeusEx appears to lose support for the high resolution/wide screen fixes, when the Kentie Launcher is installed.
The launcher:
Kentie Launcher homepage
This script will download version 8.1 of the Kentie Launcher and automatically install it, to the specified WINEPREFIX.
Update the KENTIE_VERSION variable as required.
export DEUS_EX_PATH PATH_7ZIP KENTIE_LAUNCHER_ARCHIVE KENTIE_LAUNCHER_URL KENTIE_VERSION
KENTIE_VERSION="8.1"
KENTIE_LAUNCHER_URL="http://kentie.net/article/dxguide/files/DeusExe-v${KENTIE_VERSION}.zip"
KENTIE_LAUNCHER_ARCHIVE="$(basename "${KENTIE_LAUNCHER_URL}")"
# Install winetricks verbs: vcrun2015 7zip
if ! winetricks vcrun2015 7zip; then
printf "winetricks vcrun2015 7zip failed\\n" >&2
exit 1
fi
# Read install path for Deus Ex, from the Wine Registry.
# Note: this requires a first run, when DeusEx is installed under Steam.
DEUS_EX_PATH="$(
wine reg query 'HKEY_LOCAL_MACHINE\Software\Unreal Technology\Installed Apps\Deus Ex' /v Folder 2>/dev/null \
| awk '{ if (sub("^[[:blank:]]*Folder[[:blank:]]*REG_SZ[[:blank:]]*","")) print $0 }' \
| dos2unix
)"
# Fallback to 'C:\DeusEx'
DEUS_EX_PATH="${DEUS_EX_PATH:-C:\\DeusEx}"
printf "Using DeusEx (Windows) install path: '%s'\\n" "${DEUS_EX_PATH}"
# Convert path from Windows to Unix format
DEUS_EX_PATH="$(winepath -u "${DEUS_EX_PATH}" 2>/dev/null)"
if [[ ! -d "${DEUS_EX_PATH}" ]]; then
printf "DeusEx install path: '%s' ; does not exist\\n" "${DEUS_EX_PATH}" >&2
exit 1
fi
# Download Kentie Launcher
if ! wget "${KENTIE_LAUNCHER_URL}" -O "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}"; then
printf "Kentie Deus Ex Launcher unavailable @: '%s'\\n" "${KENTIE_LAUNCHER_URL}" >&2
exit 1
fi
# Hack to determine path of 7-zip (32-bit or 64-bit)
PATH_7ZIP='C:\Program Files (x86)\7-Zip\7z.exe'
if ! wine "${PATH_7ZIP}" &>/dev/null; then
PATH_7ZIP='C:\Program Files\7-Zip\7z.exe'
fi
if ! cd "${DEUS_EX_PATH}/System"; then
printf "cd to path: '%s' ; failed\\n" "${DEUS_EX_PATH}/System" >&2
exit 1
fi
# Extract Kentie Launcher archive (case-insensitive)
if ! wine "${PATH_7ZIP}" e -y """$(winepath -w "${KENTIE_LAUNCHER_ARCHIVE}" )"""; then
printf "Unable to extract Kentie Deus Ex Launcher: '%s'\\n" "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}" >&2
exit 1
fi
printf "Successfully extracted Kentie Deus Ex Launcher: '%s'\\n" "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}"
The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.
by Zootal on Thursday February 6th 2014, 11:57
kentie.net/article/dxguide/index.htm
This works *VERY WELL* with the Steam GOTY version of Deus Ex. It has the added benefit of not starting Steam. Very stable, highly configurable. I cannot over state how happy I am with this, and it is a blast being able to play through this classic on modern hardware.
Be careful if you choose to use any cheats - sometimes it will break your ability to swap weapons, and when you save it will break the save game. Save and save often just in case you have to revert back to an older save game.
by Zootal on Thursday February 6th 2014, 12:08